summaryrefslogtreecommitdiffstats
path: root/source/a/acl
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/acl')
-rwxr-xr-xsource/a/acl/acl.SlackBuild25
-rw-r--r--source/a/acl/acl.destdir.diff36
2 files changed, 9 insertions, 52 deletions
diff --git a/source/a/acl/acl.SlackBuild b/source/a/acl/acl.SlackBuild
index a74fb355c..24df70781 100755
--- a/source/a/acl/acl.SlackBuild
+++ b/source/a/acl/acl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=acl
-VERSION=2.2.51
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 4- -d . | rev | cut -f 2 -d -)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -60,13 +60,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Add DESTDIR support and improve docs install location:
-zcat $CWD/acl.destdir.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit
-
-# Make sure you have the same version of autoconf as the
-# developers did... ;-)
-autoconf
-
./configure \
--prefix=/ \
--exec-prefix=/ \
@@ -76,15 +69,15 @@ autoconf
--libexecdir=/usr/lib${LIBDIRSUFFIX} \
--includedir=/usr/include \
--mandir=/usr/man \
- --datadir=/usr/share
+ --datadir=/usr/share \
+ --docdir=/usr/doc/acl-$VERSION \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG
-make install-dev DESTDIR=$PKG
-make install-lib DESTDIR=$PKG
+make PKG_DOC_DIR=/usr/doc/acl-$VERSION || exit 1
+make install PKG_DOC_DIR=/usr/doc/acl-$VERSION DESTDIR=$PKG
+make install-dev PKG_DOC_DIR=/usr/doc/acl-$VERSION DESTDIR=$PKG
+make install-lib PKG_DOC_DIR=/usr/doc/acl-$VERSION DESTDIR=$PKG
-mv $PKG/usr/share/doc $PKG/usr
-( cd $PKG/usr/doc ; mv acl acl-$VERSION )
#It would be nice to keep the same timestamps that the files have in the source:
cp -a \
README doc/COPYING* doc/PORTING \
diff --git a/source/a/acl/acl.destdir.diff b/source/a/acl/acl.destdir.diff
deleted file mode 100644
index aa4b42e83..000000000
--- a/source/a/acl/acl.destdir.diff
+++ /dev/null
@@ -1,36 +0,0 @@
---- ./include/builddefs.in.orig 2011-04-08 11:55:52.000000000 -0500
-+++ ./include/builddefs.in 2011-04-18 13:41:25.000000000 -0500
-@@ -28,14 +28,14 @@
- PKG_VERSION = @pkg_version@
- PKG_PLATFORM = @pkg_platform@
- PKG_DISTRIBUTION= @pkg_distribution@
--PKG_BIN_DIR = @bindir@
--PKG_SBIN_DIR = @sbindir@
--PKG_LIB_DIR = @libdir@@libdirsuffix@
--PKG_DEVLIB_DIR = @libexecdir@@libdirsuffix@
--PKG_INC_DIR = @includedir@
--PKG_MAN_DIR = @mandir@
--PKG_DOC_DIR = @datadir@/doc/@pkg_name@
--PKG_LOCALE_DIR = @datadir@/locale
-+PKG_BIN_DIR = $(DESTDIR)@bindir@
-+PKG_SBIN_DIR = $(DESTDIR)@sbindir@
-+PKG_LIB_DIR = $(DESTDIR)@libdir@@libdirsuffix@
-+PKG_DEVLIB_DIR = $(DESTDIR)@libexecdir@@libdirsuffix@
-+PKG_INC_DIR = $(DESTDIR)@includedir@
-+PKG_MAN_DIR = $(DESTDIR)@mandir@
-+PKG_DOC_DIR = $(DESTDIR)@datadir@/doc/@pkg_name@
-+PKG_LOCALE_DIR = $(DESTDIR)@datadir@/locale
-
- CC = @cc@
- AWK = @awk@
---- ./include/buildmacros.orig 2011-04-08 11:55:52.000000000 -0500
-+++ ./include/buildmacros 2011-04-18 13:41:54.000000000 -0500
-@@ -40,7 +40,7 @@
- $(LFILES:.l=.o) \
- $(YFILES:%.y=%.tab.o)
-
--INSTALL = $(TOPDIR)/include/install-sh -o $(PKG_USER) -g $(PKG_GROUP)
-+INSTALL = $(TOPDIR)/include/install-sh
-
- SHELL = /bin/sh
- IMAGES_DIR = $(TOPDIR)/all-images